Gg = [0 1 0; 0 0 1; 0 0 0]
Hg = [1 0 0]

syms mg11 mg12 mg13 mg21 mg22 mg23
syms lg1 lg2 lg3
Mg=[mg11 mg12 mg13; mg21 mg22 mg23];
Lg=[lg1 lg2 lg3];
eq1 = Hg - C * Mg
eq2 = Mg * Gg - A * Mg - B * Lg
[lg1,lg2,lg3,mg11,mg12,mg13,mg21,mg22,mg23] = solve( [eq1; eq2] )
Lg = double(eval(Lg))
Mg = double(eval(Mg))